Loading...
Searching...
No Matches
websocketpp::config::debug_core::transport_config Struct Reference
Inheritance diagram for websocketpp::config::debug_core::transport_config:

## Public Types

typedef type::concurrency_type | concurrency_type
typedef type::elog_type | elog_type
typedef type::alog_type | alog_type
typedef type::request_type | request_type
typedef type::response_type | response_type

## Static Public Attributes

static bool const | enable_multithreading = true
static const long | timeout_socket_pre_init = 5000
| Default timer values (in ms).
static const long | timeout_proxy = 5000
| Length of time to wait before a proxy handshake is aborted.
static const long | timeout_socket_post_init = 5000
| Length of time to wait for socket post-initialization.
static const long | timeout_dns_resolve = 5000
| Length of time to wait for dns resolution.
static const long | timeout_connect = 5000
| Length of time to wait for TCP connect.
static const long | timeout_socket_shutdown = 5000
| Length of time to wait for socket shutdown.

## Detailed Description

Definition at line 100 of file debug.hpp.

## Member Typedef Documentation

## alog_type

typedef type::alog_type websocketpp::config::debug_core::transport_config::alog_type

Definition at line 103 of file debug.hpp.

## concurrency_type

typedef type::concurrency_type websocketpp::config::debug_core::transport_config::concurrency_type

Definition at line 101 of file debug.hpp.

## elog_type

typedef type::elog_type websocketpp::config::debug_core::transport_config::elog_type

Definition at line 102 of file debug.hpp.

## request_type

typedef type::request_type websocketpp::config::debug_core::transport_config::request_type

Definition at line 104 of file debug.hpp.

## response_type

typedef type::response_type websocketpp::config::debug_core::transport_config::response_type

Definition at line 105 of file debug.hpp.

## Member Data Documentation

## enable_multithreading

bool const websocketpp::config::debug_core::transport_config::enable_multithreading = true

static

Controls compile time enabling/disabling of thread syncronization code Disabling can provide a minor performance improvement to single threaded applications

Definition at line 110 of file debug.hpp.

## timeout_connect

const long websocketpp::config::debug_core::transport_config::timeout_connect = 5000

static

Length of time to wait for TCP connect.

Definition at line 134 of file debug.hpp.

## timeout_dns_resolve

const long websocketpp::config::debug_core::transport_config::timeout_dns_resolve = 5000

static

Length of time to wait for dns resolution.

Definition at line 131 of file debug.hpp.

## timeout_proxy

const long websocketpp::config::debug_core::transport_config::timeout_proxy = 5000

static

Length of time to wait before a proxy handshake is aborted.

Definition at line 121 of file debug.hpp.

## timeout_socket_post_init

const long websocketpp::config::debug_core::transport_config::timeout_socket_post_init = 5000

static

Length of time to wait for socket post-initialization.

Exactly what this includes depends on the socket policy in use. Often this means the TLS handshake

Definition at line 128 of file debug.hpp.

## timeout_socket_pre_init

const long websocketpp::config::debug_core::transport_config::timeout_socket_pre_init = 5000

static

Default timer values (in ms).

Length of time to wait for socket pre-initialization Exactly what this includes depends on the socket policy in use

Definition at line 118 of file debug.hpp.

## timeout_socket_shutdown

const long websocketpp::config::debug_core::transport_config::timeout_socket_shutdown = 5000

static

Length of time to wait for socket shutdown.

Definition at line 137 of file debug.hpp.

The documentation for this struct was generated from the following file:

- websocketpp/config/debug.hpp